Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class Item

    java.lang.Object
      com.amazonaws.services.simpledb.model.Item

    public class Item

extends Object

Constructor Summary
`Item()` Default constructor for a new Item object.
`Item(String name, List<Attribute> attributes)` Constructs a new Item object.

Method Summary
`String` | `getAlternateNameEncoding()`
`List<Attribute>` | `getAttributes()` A list of attributes.
`String` | `getName()` The name of the item.
`void` | `setAlternateNameEncoding(String alternateNameEncoding)`
`void` | `setAttributes(Collection<Attribute> attributes)` A list of attributes.
`void` | `setName(String name)` The name of the item.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Item` | `withAlternateNameEncoding(String alternateNameEncoding)`
`Item` | `withAttributes(Attribute... attributes)` A list of attributes.
`Item` | `withAttributes(Collection<Attribute> attributes)` A list of attributes.
`Item` | `withName(String name)` The name of the item.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Item

    public Item()

  Default constructor for a new Item object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### Item

    public Item(String name,
                List<Attribute> attributes)

  Constructs a new Item object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `name` - The name of the item.
    `attributes` - A list of attributes.

Method Detail

### getName

    public String getName()

  The name of the item.

  Returns:
    The name of the item.

### setName

    public void setName(String name)

  The name of the item.

  Parameters:
    `name` - The name of the item.

### withName

    public Item withName(String name)

  The name of the item.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `name` - The name of the item.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAlternateNameEncoding

    public String getAlternateNameEncoding()

  Returns:

### setAlternateNameEncoding

    public void setAlternateNameEncoding(String alternateNameEncoding)

  Parameters:
    `alternateNameEncoding` -

### withAlternateNameEncoding

    public Item withAlternateNameEncoding(String alternateNameEncoding)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `alternateNameEncoding` -

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributes

    public List<Attribute> getAttributes()

  A list of attributes.

  Returns:
    A list of attributes.

### setAttributes

    public void setAttributes(Collection<Attribute> attributes)

  A list of attributes.

  Parameters:
    `attributes` - A list of attributes.

### withAttributes

    public Item withAttributes(Attribute... attributes)

  A list of attributes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - A list of attributes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAttributes

    public Item withAttributes(Collection<Attribute> attributes)

  A list of attributes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - A list of attributes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.